ReferenceDocumentsDocumentidPlaceholdersResolutionsProposalidApply

    Apply an approved placeholder proposal

    Applies a proposal returned by resolve-placeholder, once, after the user approved it. Proposals are bound to the caller and the document, expire in 15 minutes…

    POST
    /documents/{documentId}/placeholders/resolutions/{proposalId}/apply

    Applies a proposal returned by resolve-placeholder, once, after the user approved it. Proposals are bound to the caller and the document, expire in 15 minutes and are refused (409) once the document changed. persisted reports whether the value was saved independently of success. Same operation as MCP apply_document_placeholder_resolution.

    Authorization

    bearerAuth
    AuthorizationBearer <token>

    In: header

    Path Parameters

    documentId*string
    proposalId*string
    Formatuuid

    Response Body

    application/json

    application/json

    application/json

    application/json

    application/json

    curl -X POST "https://example.com/documents/string/placeholders/resolutions/497f6eca-6276-4993-bfeb-53cbbbba6f08/apply"
    {  "error": "string",  "nextStep": "string",  "persisted": true,  "sectionId": "string",  "success": true,  "property1": null,  "property2": null}